/***************************************************************************/
/**  Archivo    : display.c                                                */
/**  Resumen    : control del display del Sistema                          */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "display.h"
#include "lcd_hd44780.h"

void initDisplay(void) {
	// Funcion incluida en "lcd_hds44780.h"
	lcd_init();
}

void cleanDisplay(void) {
	// Funcion incluida en "lcd_hds44780.h"
	lcd_strxy("                ",0,0);
	lcd_strxy("                ",0,1);
}

void writeDisplay(char* line1, char* line2) {
	cleanDisplay();
	lcd_strxy(line1,0,0);
	lcd_strxy(line2,0,1);
}
/***************************************************************************/
