/***************************************************************************/
/**  Archivo    : display.h                                                */
/**  Resumen    : control del display del Sistema                          */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#ifndef _DISPLAY_H_
#define _DISPLAY_H_

/** Inicializacion del display del Sistema (mapeo de pines en defines.h) */
void initDisplay(void);

/** Funcion que borra lo que este mostrando el display */
void cleanDisplay(void);

/** Funcion que muestra en el display las dos lineas enviadas */
void writeDisplay(char* line1, char* line2);

#endif
/***************************************************************************/
