/***************************************************************************/
/**  Archivo    : keypad.h                                                 */
/**  Resumen    : control del keypad del Sistema                           */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#ifndef _KEYPAD_H_
#define _KEYPAD_H_

/** Inicializa el keypad (mapeo de pines en defines.h) */
void initKeypad(void);

/** Funcion principal de control del teclado. se encarga de leer el teclado y llamar a los distintos submenus */
void controlKeypad(int *generalClockConfigured, int *alarmClockConfigured, int *alarmConfigured, int *alarmStarted,
		           int *alarmFired, char *menu, char* *temporal, char* *temporalAux, char *previousChar,
		           int *currentAlarmClockBegin, int *currentAlarmClockEnd, char* *currentPassword,
		           int *checkingPassword, int *checkingPasswordNew, int *checkingPasswordNewAux, int *checkingHourCurrent,
		           int *checkingHourBegin, int *checkingHourEnd);

#endif
/***************************************************************************/
