/***************************************************************************/
/**  Archivo    : rfid.h                                                   */
/**  Resumen    : control del rfid del Sistema                             */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"

#ifndef _RFID_H_
#define _RFID_H_

/** Inicializa el rfid del Sistema (mapeo de pines en defines.h) */
void initRFID(void);

/** Funcion principal para controlar el rfid del Sistema en funcion de las variables de estado */
void controlRFID(int *alarmFired, int *alarmStarted, int *alarmConfigured, uint8_t* currentRfidPassword);

#endif
/***************************************************************************/
