/***************************************************************************/
/**  Archivo    : sensor_magnetico.h                                       */
/**  Resumen    : control del sensor magnetico del Sistema                 */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#ifndef _SENSORMAGNETICO_H_
#define _SENSORMAGNETICO_H_

/** Inicializa el sensor magnetico del Sistema (mapeo de pines en defines.h) */
void initMagnetic(void);
/** Lee el sensor magnetico del Sistema devolviendo 1 si hay campo magnetico o 0 si no hay */
int readMagnetic(void);

#endif
/***************************************************************************/
